function [residual, g1] = static_resid_g1(T, y, x, params, T_flag)
% function [residual, g1] = static_resid_g1(T, y, x, params, T_flag)
%
% Wrapper function automatically created by Dynare
%

    if T_flag
        T = BBCDLmodelcomp_ramsey_c1pid_c2pid.static_g1_tt(T, y, x, params);
    end
    residual = BBCDLmodelcomp_ramsey_c1pid_c2pid.static_resid(T, y, x, params, false);
    g1       = BBCDLmodelcomp_ramsey_c1pid_c2pid.static_g1(T, y, x, params, false);

end
